<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>

<body>
    <script>
        // ## Теоретичні питання

        //1. Описати своїми словами у кілька рядків, навіщо у програмуванні потрібні цикли.
        //2. Опишіть у яких ситуаціях ви використовували той чи інший цикл в JS.
        // Ми може використовувати цикли коли нам треба виконати якусь дію багато разів і щоб не повторювати код, можна використати цикл(for).
        // Також цикл використовується коли є якась умова і виконаються усі дії які відповідать умові (while)
        // Або так само є умова, але усі дії виконаються а потім буде вибрано ті які підходять під умову(do while)


        //3. Що таке явне та неявне приведення (перетворення) типів даних у JS?




        //## Завдання

        //Реалізувати програму на Javascript, яка знаходитиме всі числа кратні 5 (діляться на 5 без залишку) у заданому діапазоні. Завдання має бути виконане на чистому Javascript без використання бібліотек типу jQuery або React.

        //#### Технічні вимоги:

        //- Отримати за допомогою модального вікна браузера число, яке введе користувач.
        //- Вивести в консолі всі числа, кратні 5, від 0 до введеного користувачем числа. Якщо таких чисел немає - вивести в консоль фразу "Sorry, no numbers"
        //- Обов'язково необхідно використовувати синтаксис ES6 (ES2015) для створення змінних.


        let userNumber = +prompt('Right your number');
        while (isNaN(userNumber)) {
            userNumber = +prompt('Please use numbers');
        }
        for (let i = 0; i <= userNumber; i++) {
            if (i % 5 === 0) {
                console.log(i)
            } else if (userNumber < 5) {
                console.log('Sorry,no numbers')
            }
        }
    </script>
</body>

</html>